/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DB_PG_H
#define DB_PG_H

#include <db/db.h>

#define DB_TYPE_PG				(db_pg_get_type ())
#define DB_PG(obj)				(G_TYPE_CHECK_INSTANCE_CAST ((obj), DB_TYPE_PG, DbPg))
#define DB_IS_PG(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), DB_TYPE_PG))
#define DB_PG_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), DB_TYPE_PG, DbPgClass))
#define DB_IS_PG_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), DB_TYPE_PG))
#define DB_PG_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), DB_TYPE_PG, DbPgClass))

typedef struct _DbPg DbPg;
typedef struct _DbPgClass DbPgClass;

struct _DbPg
{
	DbPlugin parent;
	PGconn * conn;
	PGcancel * pg_cancel;
	gint socket;
};

struct _DbPgClass
{
	DbPluginClass parent;
};

GType		db_pg_get_type	();
DbConn *	db_pg_new		();

#endif