/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_DELETE_H
#define SQL_DELETE_H

#include "sql-dml.h"
#include "sql-table.h"

#define SQL_TYPE_DELETE		(sql_delete_get_type ())
#define SQL_DELETE(obj)		(G_TYPE_CHECK_INSTANCE_CAST (obj, SQL_TYPE_DELETE, SqlDelete))
#define SQL_IS_DELETE(obj)	(G_TYPE_CHECK_INSTANCE_TYPE (obj, SQL_TYPE_DELETE))

typedef struct _SqlDelete SqlDelete;
typedef struct _SqlDeleteClass SqlDeleteClass;

/**
 * SqlDelete:
 * @table: list of targeted tables
 **/
struct _SqlDelete
{
	SqlDml parent;
	SqlList * tables;	// List of SqlTable
};

struct _SqlDeleteClass
{
	/* <private> */
	SqlDmlClass parent;
};

GType		sql_delete_get_type		();
SqlObject *	sql_delete_new			();

#endif
