/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_SELECT_FIELD_H
#define SQL_SELECT_FIELD_H

#include "sql-object.h"
#include "sql-expr.h"

#define SQL_TYPE_SELECT_FIELD		(sql_select_field_get_type ())
#define SQL_SELECT_FIELD(self)		(G_TYPE_CHECK_INSTANCE_CAST (self, SQL_TYPE_SELECT_FIELD, SqlSelectField))
#define SQL_IS_SELECT_FIELD(self)	(G_TYPE_CHECK_INSTANCE_TYPE (self, SQL_TYPE_SELECT_FIELD))

typedef struct _SqlSelectField SqlSelectField;
typedef struct _SqlSelectFieldClass SqlSelectFieldClass;

struct _SqlSelectField
{
	SqlObject parent;
	SqlExpr * expr;
	gchar * alias;
};

struct _SqlSelectFieldClass
{
	/* <private> */
	SqlObjectClass parent;
};

GType			sql_select_field_get_type	();
SqlObject *		sql_select_field_new		();
const gchar *   sql_select_field_get_alias		(SqlSelectField * self);
void			sql_select_field_set_alias		(SqlSelectField * self, const gchar * alias);

#endif
