/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_SET_H
#define SQL_SET_H

#include "sql-expr.h"

#define SQL_TYPE_SET		(sql_set_get_type ())
#define SQL_SET(obj)		(G_TYPE_CHECK_INSTANCE_CAST (obj, SQL_TYPE_SET, SqlSet))
#define SQL_IS_SET(obj)		(G_TYPE_CHECK_INSTANCE_TYPE (obj, SQL_TYPE_SET))

typedef struct _SqlSet SqlSet;
typedef struct _SqlSetClass SqlSetClass;

struct _SqlSet
{
	SqlExpr parent;
	SqlList * exprs;
};

struct _SqlSetClass
{
	/* <private> */
	SqlObjectClass parent;
};

GType		sql_set_get_type	();
SqlObject *	sql_set_new			();

#endif
