/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_UPDATE_H
#define SQL_UPDATE_H

#include "sql-dml.h"
#include "sql-field.h"
#include "sql-update-set.h"

#define SQL_TYPE_UPDATE			(sql_update_get_type ())
#define SQL_UPDATE(object)		(G_TYPE_CHECK_INSTANCE_CAST (object, SQL_TYPE_UPDATE, SqlUpdate))
#define SQL_IS_UPDATE(object)	(G_TYPE_CHECK_INSTANCE_TYPE (object, SQL_TYPE_UPDATE))

typedef struct _SqlUpdate SqlUpdate;
typedef struct _SqlUpdateClass SqlUpdateClass;

/**
 * SqlUpdate:
 **/
struct _SqlUpdate
{
	SqlDml parent;
	SqlList * sets;		// List of SqlUpdateSet
};

struct _SqlUpdateClass
{
	/* <private> */
	SqlDmlClass parent;
};


GType		sql_update_get_type		();
SqlObject *	sql_update_new			();
void		sql_update_add_set		(SqlUpdate * obj, SqlField * field, SqlExpr * expr);

#endif
