/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_COLUMN_ENTRY_H
#define VN_COLUMN_ENTRY_H

#include <vn/vn-column.h>

#define VN_TYPE_COLUMN_ENTRY			(vn_column_entry_get_type ())
#define VN_COLUMN_ENTRY(obj)			(G_TYPE_CHECK_INSTANCE_CAST (obj, VN_TYPE_COLUMN_ENTRY, VnColumnEntry))
#define VN_IS_COLUMN_ENTRY(obj)			(G_TYPE_CHECK_INSTANCE_TYPE (obj, VN_TYPE_COLUMN_ENTRY))
#define VN_COLUMN_ENTRY_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_COLUMN_ENTRY, VnColumnEntryClass))
#define VN_IS_COLUMN_ENTRY_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_COLUMN_ENTRY))
#define VN_COLUMN_ENTRY_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS (obj, VN_TYPE_COLUMN_ENTRY, VnColumnEntryClass))

typedef struct _VnColumnEntry VnColumnEntry;
typedef struct _VnColumnEntryClass VnColumnEntryClass;

struct _VnColumnEntry
{
	VnColumn parent;
	guint digits;
	gchar * format;
};

struct _VnColumnEntryClass
{
	/* <private> */
	VnColumnClass parent;
};

GType		vn_column_entry_get_type	();
VnColumn *  vn_column_entry_new			();

#endif