/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_HTTP_IMAGE_H
#define VN_HTTP_IMAGE_H

#include <vn/vn-field.h>

#define VN_TYPE_HTTP_IMAGE				(vn_http_image_get_type ())
#define VN_HTTP_IMAGE(self)				(G_TYPE_CHECK_INSTANCE_CAST (self, VN_TYPE_HTTP_IMAGE, VnHttpImage))
#define VN_IS_HTTP_IMAGE(self)			(G_TYPE_CHECK_INSTANCE_TYPE (self, VN_TYPE_HTTP_IMAGE))
#define VN_HTTP_IMAGE_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_HTTP_IMAGE, VnHttpImageClass))
#define VN_IS_HTTP_IMAGE_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_HTTP_IMAGE))
#define VN_HTTP_IMAGE_GET_CLASS(self)	(G_TYPE_INSTANCE_GET_CLASS (self, VN_TYPE_HTTP_IMAGE, VnHttpImageClass))

typedef struct _VnHttpImage VnHttpImage;
typedef struct _VnHttpImageClass VnHttpImageClass;
typedef struct _VnHttpImagePrivate VnHttpImagePrivate;

struct _VnHttpImage
{
	VnField parent;
	VnHttpImagePrivate * priv;
};

struct _VnHttpImageClass
{
	/* <private> */
	VnFieldClass parent;
};

GType			vn_http_image_get_type	();
VnField *		vn_http_image_new		(DbFileLoader * loader
										,const gchar * name);

#endif
