/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_LABEL_H
#define VN_LABEL_H

#include <vn/vn-field.h>

#define VN_TYPE_LABEL				(vn_label_get_type ())
#define VN_LABEL(self)				(G_TYPE_CHECK_INSTANCE_CAST (self, VN_TYPE_LABEL , VnLabel))
#define VN_IS_LABEL(self)			(G_TYPE_CHECK_INSTANCE_TYPE (self, VN_TYPE_LABEL))
#define VN_LABEL_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_LABEL, VnLabelClass))
#define VN_IS_LABEL_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_LABEL))
#define VN_LABEL_GET_CLASS(self)	(G_TYPE_INSTANCE_GET_CLASS (self, VN_TYPE_LABEL, VnLabelClass))

typedef struct _VnLabel VnLabel;
typedef struct _VnLabelClass VnLabelClass;

struct _VnLabel
{
	VnField parent;
	GtkLabel * label;
	gchar * format;
};

struct _VnLabelClass
{
	/* <private> */
	VnFieldClass parent;
};

GType		vn_label_get_type	();
VnField *	vn_label_new		();

#endif