/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_GRID_MODEL_H
#define VN_GRID_MODEL_H

#include <glib-object.h>
#include <db/db-model.h>
#include <gtk/gtk.h>

#define VN_TYPE_GRID_MODEL           	(vn_grid_model_get_type())
#define VN_GRID_MODEL(obj)				(G_TYPE_CHECK_INSTANCE_CAST ((obj), VN_TYPE_GRID_MODEL, VnGridModel))
#define VN_IS_GRID_MODEL(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), VN_TYPE_GRID_MODEL))
#define VN_GRID_MODEL_CLASS(klass)   	(G_TYPE_CHECK_CLASS_CAST ((klass), VN_TYPE_GRID_MODEL, VnGridModelClass))
#define VN_IS_GRID_MODEL_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), VN_TYPE_GRID_MODEL))
#define VN_GRID_MODEL_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), VN_TYPE_GRID_MODEL, VnGridModelClass))

#define VN_GRID_MODEL_LOG_DOMAIN		(g_quark_from_string ("VnGridModel"))

#define gtk_tree_iter_from_db_iter(d,s)	vn_gtk_tree_iter_from_db_iter(d,s)
#define gtk_tree_iter_to_db_iter(s,d)	vn_gtk_tree_iter_to_db_iter(s,d)

typedef struct _VnGridModel VnGridModel;
typedef struct _VnGridModelClass VnGridModelClass;

struct _VnGridModel
{
	GObject parent;
	DbModel * model;
};

struct _VnGridModelClass
{
	/* <private> */
	GObjectClass parent;
};

GType			vn_grid_model_get_type			();
VnGridModel *	vn_grid_model_new				(DbModel * model);
DbModel *		vn_grid_model_get_model			(VnGridModel * obj);
gboolean		vn_grid_model_iter_is_valid		(GtkTreeIter * iter, GtkTreeModel * model);
void			vn_gtk_tree_iter_from_db_iter	(GtkTreeIter * dest_iter
												,const DbIter * src_iter);
void			vn_gtk_tree_iter_to_db_iter		(const GtkTreeIter * src_iter
												,DbIter * dest_iter);

#endif